Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.util.component
Class AbstractLifeCycle.AbstractLifeCycleListener

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle.AbstractLifeCycleListener

All Implemented Interfaces:
  java.util.EventListener, LifeCycle.Listener

Enclosing class:
  AbstractLifeCycle

    public abstract static class AbstractLifeCycle.AbstractLifeCycleListener

extends java.lang.Object
implements LifeCycle.Listener

Constructor Summary
`AbstractLifeCycle.AbstractLifeCycleListener()`

Method Summary
`void` | `lifeCycleFailure(LifeCycle event, java.lang.Throwable cause)`
`void` | `lifeCycleStarted(LifeCycle event)`
`void` | `lifeCycleStarting(LifeCycle event)`
`void` | `lifeCycleStopped(LifeCycle event)`
`void` | `lifeCycleStopping(LifeCycle event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLifeCycle.AbstractLifeCycleListener

    public AbstractLifeCycle.AbstractLifeCycleListener()

Method Detail

### lifeCycleFailure

    public void lifeCycleFailure(LifeCycle event,
                                 java.lang.Throwable cause)

  Specified by:
    `lifeCycleFailure` in interface `LifeCycle.Listener`

### lifeCycleStarted

    public void lifeCycleStarted(LifeCycle event)

  Specified by:
    `lifeCycleStarted` in interface `LifeCycle.Listener`

### lifeCycleStarting

    public void lifeCycleStarting(LifeCycle event)

  Specified by:
    `lifeCycleStarting` in interface `LifeCycle.Listener`

### lifeCycleStopped

    public void lifeCycleStopped(LifeCycle event)

  Specified by:
    `lifeCycleStopped` in interface `LifeCycle.Listener`

### lifeCycleStopping

    public void lifeCycleStopping(LifeCycle event)

  Specified by:
    `lifeCycleStopping` in interface `LifeCycle.Listener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.